## Class Swift_Transport_FailoverTransport

(line 20)

## Description

    Swift_Transport_LoadBalancedTransport
       |
       --Swift_Transport_FailoverTransport

Located in File: /vendors/swiftMailer/classes/Swift/Transport/FailoverTransport.php

##### Contains a list of redundant Transports so when one fails, the next is used.

- author: - Chris Corbyn

Classes extended from Swift_Transport_FailoverTransport:

Swift_FailoverTransport
  Contains a list of redundant Transports so when one fails, the next is used.

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Transport_FailoverTransport __construct ()
int send (Swift_Mime_Message $message, [string[] &$failedRecipients = null])
void _getNextTransport ()
void _killCurrentTransport ()

#### Constructor __construct (line 34)

#### Swift_Transport_FailoverTransport __construct( )

Overridden in child classes as:

Swift_FailoverTransport::__construct()
  Creates a new FailoverTransport with $transports.

Overrides : Swift_Transport_LoadBalancedTransport::__construct() Creates a new LoadBalancedTransport.

##### Creates a new FailoverTransport.

#### Info

- access - public

#### Method send (line 47)

#### int send( Swift_Mime_Message $message, [string[] &$failedRecipients = null])

Overrides : Swift_Transport_LoadBalancedTransport::send() Send the given Message.

##### Send the given Message.

Recipient/sender data will be retreived from the Message API. The return value is the number of recipients who were accepted for delivery.

#### Parameters

- Swift_Mime_Message $message:
- string[] &$failedRecipients: to collect failures by-reference

#### Info

- access - public

#### Method _getNextTransport (line 82)

#### void _getNextTransport( )

Overrides : Swift_Transport_LoadBalancedTransport::_getNextTransport() Rotates the transport list around and returns the first instance.

#### Info

- access - protected

#### Method _killCurrentTransport (line 91)

#### void _killCurrentTransport( )

Overrides : Swift_Transport_LoadBalancedTransport::_killCurrentTransport() Tag the currently used (top of stack) transport as dead/useless.

#### Info

- access - protected

## Inherited Variables

### Inherited Class Variable Summary

#### Inherited From Class Swift_Transport_LoadBalancedTransport

#### Swift_Transport_LoadBalancedTransport::$_transports - The Transports which are used in rotation.

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Transport_LoadBalancedTransport

#### Swift_Transport_LoadBalancedTransport::__construct() - Creates a new LoadBalancedTransport.

#### Swift_Transport_LoadBalancedTransport::getTransports() - Get $transports to delegate to.

#### Swift_Transport_LoadBalancedTransport::isStarted() - Test if this Transport mechanism has started.

#### Swift_Transport_LoadBalancedTransport::registerPlugin() - Register a plugin.

#### Swift_Transport_LoadBalancedTransport::send() - Send the given Message.

#### Swift_Transport_LoadBalancedTransport::setTransports() - Set $transports to delegate to.

#### Swift_Transport_LoadBalancedTransport::start() - Start this Transport mechanism.

#### Swift_Transport_LoadBalancedTransport::stop() - Stop this Transport mechanism.

#### Swift_Transport_LoadBalancedTransport::_getNextTransport() - Rotates the transport list around and returns the first instance.

#### Swift_Transport_LoadBalancedTransport::_killCurrentTransport() - Tag the currently used (top of stack) transport as dead/useless.

Documentation generated on Fri, 12 Nov 2010 20:45:21 +0000 by phpDocumentor 1.4.3